curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/response/start' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ticket_id": "string",
"channel": "string"
}'
{
"workflow_id": "string",
"run_id": "string"
}
Start workflow
Success
POST
/
v1
/
workflows
/
response
/
start
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/response/start' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ticket_id": "string",
"channel": "string"
}'
{
"workflow_id": "string",
"run_id": "string"
}
Request body
ResponseAutomationInput
string (uuid)
string (uuid)
required
string
required
string
Response
StartWorkflowResponse
string
required
string
Status codes
| Code | Meaning |
|---|---|
200 | Success |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/response/start' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ticket_id": "string",
"channel": "string"
}'
{
"workflow_id": "string",
"run_id": "string"
}